reallocate_voice(3)

NAME
reallocate_voice - Switches the sample of an already-allocated voice. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void reallocate_voice(int voice, const SAMPLE *spl);

DESCRIPTION
Switches an already-allocated voice to use a different sample. Calling reallocate_voice(voice, sample) is equivalent to:
   deallocate_voice(voice);
   voice = allocate_voice(sample);

SEE ALSO
allocate_voice(3), deallocate_voice(3), load_sample(3)